Announcement

#1 2012-06-24 05:12:43

JJF
Member
2011-10-06
99

[resolved] Upgrade from 2.3.5 to 2.4 failed -- big time.

UPgrade failed, displaying this message a few hundred times

[Sat Jun 23 17:24:20 2012] [error] [client 192.168.1.67] PHP Warning: touch() [<a href='function.touch'>function.touch</a>]: Utime failed: Operation not permitted in /var/www/html/admin/include/pclzip.lib.php on line 3856, referer: http://fristersoft.dyndns.org/admin.php?page=updates
[Sat Jun 23 17:24:20 2012] [error] [client 192.168.1.67] PHP Warning: touch() [<a href='function.touch'>function.touch</a>]: Utime failed: Operation not permitted in /var/www/html/admin/include/pclzip.lib.php on line 3856, referer: http://fristersoft.dyndns.org/admin.php?page=updates
[Sat Jun 23 17:24:20 2012] [error] [client 192.168.1.67] PHP Warning: touch() [<a href='function.touch'>function.touch</a>]: Utime failed: Operation not permitted in /var/www/html/admin/include/pclzip.lib.php on line 3856, referer: http://fristersoft.dyndns.org/admin.php?page=updates

, ending with

[Sat Jun 23 17:24:24 2012] [error] [client 192.168.1.67] PHP Warning: Cannot modify header information - headers already sent by (output started at /var/www/html/admin/include/pclzip.lib.php:3856) in /var/www/html/include/page_header.php on line 105, referer: http://fristersoft.dyndns.org/admin.php?page=updates

Now all I get whenever I point to my website is an instant redirect to http://fristersoft.dyndns.org/upgrade.php and the log says

[Sat Jun 23 23:00:51 2012] [error] [client 192.168.1.67] PHP Parse error: syntax error, unexpected '"', expecting ')' in /var/www/html/include/cssmin.class.php on line 34

My existing ...high directories were all symbolic links. I had used the "Synchronize Local directory" plugin to create thumnails and web-size photos.

Do I now have to start from a clean install? Hope not.

Last edited by JJF (2012-06-24 05:22:53)

Offline

 

#2 2012-06-24 09:29:55

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13276

Re: [resolved] Upgrade from 2.3.5 to 2.4 failed -- big time.

Hi JJF,

open file local/config/config.inc.php and add:

Code:

<?php
$conf['template_combine_files'] = false;
?>

Offline

 

#3 2012-06-25 03:12:51

JJF
Member
2011-10-06
99

Re: [resolved] Upgrade from 2.3.5 to 2.4 failed -- big time.

Thank you. Upgrade now completed without anomalies.

Last edited by JJF (2012-06-25 03:13:25)

Offline

 

#4 2012-06-25 10:24:35

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13276

Re: [resolved] Upgrade from 2.3.5 to 2.4 failed -- big time.

Can you tell us what is your version of PHP? (it is written on Piwigo Administration Home Page)

Offline

 

#5 2012-06-25 12:26:47

samli
Translation Team
Hungary (Budapest)
1970-01-01
65

Re: [resolved] Upgrade from 2.3.5 to 2.4 failed -- big time.

Code:

[Sat Jun 23 23:00:51 2012] [error] [client 192.168.1.67] PHP Parse error: syntax error, unexpected '"', expecting ')' in /var/www/html/include/cssmin.class.php on line 34

PHP: 5.2.0-8+etch13

Last edited by samli (2012-06-25 12:30:55)


Ubuntu 10.04 (Lucid Lynx)
XUbuntu 12.04 (Precise Pangolin)

Offline

 

#6 2012-06-28 00:54:59

JJF
Member
2011-10-06
99

Re: [resolved] Upgrade from 2.3.5 to 2.4 failed -- big time.

Environment

        Operating system: Linux
        PHP: 5.1.6 (Show info) [2012-06-27 18:54:06]
        mysql: 5.0.95 [2012-06-27 18:54:06]
        Graphics Library: External ImageMagick 6.2.8

Offline

 

Board footer

Powered by FluxBB

github twitter facebook google+ newsletter Donate Piwigo.org © 2002-2019 · Contact